GBNLPANEL(1)

NAME
gbnlpanel - Non-linear panel regression

SYNOPSIS
gbnlpanel [options] <FUN>

DESCRIPTION
Each row of a block represents a single process realization. Blocks are separated by two white spaces and represent model variables, columns represent the time variable. Input is read as (X1_[r,t],...,Xj_[r,t],... XN_[r,t]), where r is the row, t the column and j the block. The model assumes that

FUN(X1_[r,t],...,XN_[t,t]) - c_r = e_{r,t}

with e i.i.d and 'c' arow specific element, which can be fixed (fixed effect) or a normal random variable (random effect).

OPTIONS

-M  type of model (default 0)

0   fixed effects

1   random effects

-O  type of output (default 0)

0   parameters

1   parameters and errors

2   <variables> and panel statistics

3   parameters and variance matrix

-V  variance matrix estimation (default 0)

0   < J^{-1} >, computed via fully-reduced log-likelihood

1   < H^{-1} >, computed via fully-reduced log-likelihood

2   < H^{-1} J H^{-1} >, computed via fully-reduced log-likelihood

3   < J^{-1} >, computed via non-reduced log-likelihood

4   < H^{-1} >, computed via non-reduced log-likelihood

5   < H^{-1} J H^{-1} >, computed via non-reduced log-likelihood

-v  verbosity level (default 0)

0   just results

1   comment headers

2   summary statistics

3   covariance matrix

4   minimization steps

5   model definition

-e  minimization tolerance (default 1e-6)

-F  input fields separators (default " \t")

-h  this help

-A  comma separated MLL optimization options: step,tol,iter,eps,msize,algo. Use empty fields for default. (default 0.1,0.01,500,1e-6,1e-6,0)

step
    initial step size of the searching algorithm

tol line search tolerance iter: maximum number of iterations

eps gradient tolerance : stopping criteria ||gradient||<eps

algo
    optimization methods: 0 Fletcher-Reeves, 1 Polak-Ribiere, 2 Broyden-Fletcher-Goldfarb-Shanno, 3 Steepest descent (not recommended), 4 simplex, 5 Broyden-Fletcher-Goldfarb-Shanno-2

EXAMPLES

gbnlpanel 'x1-a*x2-c,a=0,c=0' < data.dat
    linear panel regression with one independent variable

AUTHOR
Written by Giulio Bottazzi

REPORTING BUGS
Report bugs to <gbutils@googlegroups.com>

Package home page <http://cafim.sssup.it/~giulio/software/gbutils/index.html>

COPYRIGHT
Copyright © 2001-2018 Giulio Bottazzi This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License (version 2) as published by the Free Software Foundation;

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.